csv output adapter for a Product returns unusable information
Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1084831 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1084831

Description of problem:

Note that when one uses the CSV output adapter to obtain information for an existing Product, hammer is returning extra, unusable

information

[root@qetello01 ~]# hammer --output base product info --id=27

ID:           27

Name:         阄軍萫兏瑆泳厾馃槠硾拻灦孤筂雸諶應榦糱甶

Label:        c6bbbe8f-4d9d-42d4-8e87-ddc34764c0b4

Description:  

diwTISpSdfYulZdHHiRC

Sync Plan ID:

Sync State:   not_synced

Sync Plan ID:

GPG:

GPG Key ID: 39

GPG Key:    foobar

Organization: dTVfLkUhHIDiwPIQHqRn

Readonly:     false

Deletable:    true

Content:    

[root@qetello01 ~]# hammer --output csv product info --id=27

ID,Name,Label,Description,Sync Plan ID,Sync State,Sync Plan ID,GPG,Organization,Readonly,Deletable,Content

27,阄軍萫兏瑆泳厾馃槠硾拻灦孤筂雸諶應榦糱甶,c6bbbe8f-4d9d-42d4-8e87-ddc34764c0b4,

diwTISpSdfYulZdHHiRC

,"",not_synced,"",productContentprovidernamed143b68a-bddb-4463-afcb-70b8132d236elibrary_repositoriesrepository_count0sync_s

tatusuuidparametersfinish_timeuser_id0updated_attask_typeprogresssize_left0total_size0total_count0items_left0organization_ididta

sk_owner_typetask_owner_idstatenot_syncedcreated_atpending?falseresultstart_timepermissionsdeletabletruesync_plan_idlabelc6

bbbe8f-4d9d-42d4-8e87-ddc34764c0b4name阄軍萫兏瑆泳厾馃槠硾拻灦孤筂雸諶應榦糱甶id27updated_at2014-04-06T21:47:53ZorganizationlabelBsE

VvO0bxipI0ivJI64vnamedTVfLkUhHIDiwPIQHqRnreadonlyfalsecreated_at2014-04-06T05:39:48Zcp_id1396762787854gpg_keynam

efoobarid39gpg_key_id39provider_id169description

diwTISpSdfYulZdHHiRC

,dTVfLkUhHIDiwPIQHqRn,"",true,""    

In case it isn't obvious, the extra information is:

productContentprovidernamed143b68a-bddb-4463-afcb-70b8132d236elibrary_repositoriesrepository_count0sync_statusuuidparame

tersfinish_timeuser_id0updated_attask_typeprogresssize_left0total_size0total_count0items_left0organization_ididtask_owner_typeta
sk_owner_idstatenot_syncedcreated_atpending?falseresultstart_timepermissionsdeletabletruesync_plan_idlabelc6bbbe8f-4d9d-42d

4-8e87-ddc34764c0b4name阄軍萫兏瑆泳厾馃槠硾拻灦孤筂雸諶應榦糱甶id27updated_at2014-04-06T21:47:53ZorganizationlabelBsEVvO0bxipI0ivJI64

vnamedTVfLkUhHIDiwPIQHqRnreadonlyfalsecreated_at2014-04-06T05:39:48Zcp_id1396762787854gpg_keynamefoobarid39gpg_k

ey_id39provider_id169description

diwTISpSdfYulZdHHiRC

 Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.33-1.el6.noarch

candlepin-selinux-0.8.33-1.el6.noarch

candlepin-tomcat6-0.8.33-1.el6.noarch

elasticsearch-0.90.10-4.el6.noarch

foreman-1.5.0-0.develop.201404041450git869bbff.el6.noarch

foreman-compute-1.5.0-0.develop.201404041450git869bbff.el6.noarch

foreman-libvirt-1.5.0-0.develop.201404041450git869bbff.el6.noarch

foreman-postgresql-1.5.0-0.develop.201404041450git869bbff.el6.noarch

foreman-proxy-1.5.0-0.develop.201404021018git3824d18.el6.noarch

foreman-release-1.5.0-0.develop.201404041450git869bbff.el6.noarch

foreman-selinux-1.5.0-0.develop.201402261344git2f43f94.el6.noarch

katello-1.5.0-14.201404042107git7cc5bd6.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201404021805git6ac0e9a.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6.noarch

pulp-nodes-common-2.3.1-1.el6.noarch

pulp-nodes-parent-2.3.1-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

pulp-rpm-plugins-2.3.1-1.el6.noarch

pulp-selinux-2.3.1-1.el6.noarch

pulp-server-2.3.1-1.el6.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6.noarch

ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch

ruby193-rubygem-runcible-1.0.8-1.el6.noarch

rubygem-hammer_cli-0.1.0-1.201404021454git4336787.git.0.070e774.el6.noarch

rubygem-hammer_cli_foreman-0.1.0-1.201404011518git2abbfd3.git.0.37211af.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-1.201403312028gitdf60592.git.0.b4ebd5a.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201404042126gitd171b9b.git.0.b51f61a.el6.noarch

How reproducible:

Steps to Reproduce:

1. Use hammer --csv product info to obtain the information for an existing custom product

2.

3.

Actual results:

Unusable information is returned

Expected results:

Additional info:

Associated revisions

Revision 8ac1ad11 - 05/20/2014 03:58 PM - dustin tsang

Fixes #5111 - product info did list options

Product info did not list options becuase it was missing the

call to build_options.
Revision 2b6e7713 - 05/21/2014 02:40 PM - dustin tsang

Merge pull request #174 from dustint-rh/fix_product_info_output

Fixes #5111 - product info did list options

History

#1 - 04/08/2014 01:54 PM - Bryan Kearney

- Assignee set to Adam Price

- Triaged set to No

#2 - 05/21/2014 03:06 PM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:8ac1ad1193b6ddf14b32a151b939264c39ca25fa.

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 06/03/2014 02:37 PM - dustin tsang

- Status changed from Closed to Assigned

#5 - 06/03/2014 02:39 PM - dustin tsang

I didn't mean to close...i think i had 2 commits related to #5111

https://github.com/theforeman/hammer-cli/pull/112 requiring ack

#6 - 06/05/2014 03:11 AM - Eric Helms

- Target version changed from 44 to 45

- Triaged changed from No to Yes

#7 - 06/05/2014 08:23 PM - Bryan Kearney

- Assignee changed from Adam Price to dustin tsang

#8 - 06/09/2014 02:32 PM - dustin tsang

- Status changed from Assigned to Closed

#9 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 3/3

https://projects.theforeman.org/issues/5111
https://github.com/theforeman/hammer-cli/pull/112
http://www.tcpdf.org

